Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.2.0   

Description

Hi

Just a tiny patch which makes a test less specific. This way, a plugin can add columns to the table without breaking core tests.

Thank you

Associated revisions

Revision 19521 - 2020-02-18 03:06 - Go MAEDA

Fix that CSS selector in test_index_should_show_warning_when_no_workflow_is_defined is too specific (#32927).

Patch by Vincent Robert.

History

#1 - 2020-01-30 15:20 - Go MAEDA

Plugins often break core tests. Should we relax tests every time a plugin the test suite?

#2 - 2020-01-30 16:06 - Vincent Robert

No, we should not ;) But I think this specific test is too precise. It will break as soon as the table is modified, even if the tested function has not

changed.

But feel free to close my issue if you prefer to not update the current tests.

#3 - 2020-02-02 02:04 - Go MAEDA

I am not in favor of accepting this patch as it is for the following reasons:

If the patch is accepted, many plugin developers may request to loosen tests only to fix test failures caused by their plugins

There are some other ":nth-of-type" in the test suite. Changing only one place makes the test inconsistent

However, I think it is OK to change "td:nth-of-type(3)" to "td.CLASS_NAME" instead of loosening the tests.

#4 - 2020-02-02 02:40 - Go MAEDA

Go MAEDA wrote:

I am not in favor of accepting this patch as it is for the following reasons:

If the patch is accepted, many plugin developers may request to loosen tests only to fix test failures caused by their plugins

There are some other ":nth-of-type" in the test suite. Changing only one place makes the test inconsistent

However, I think it is OK to change "td:nth-of-type(3)" to "td.CLASS_NAME" instead of loosening the tests.

 I have changed my mind.

I just noticed that the message to test can be specified by span.icon-warning. Now I think the current code is too strict and there is no problem to

merge the suggested patch.

#5 - 2020-02-02 06:03 - Go MAEDA

- Target version changed from 4.0.7 to 4.2.0

#6 - 2020-02-18 03:07 - Go MAEDA

- Subject changed from Tiny patch which make a test less specific - Make easier for plugins to not break it to CSS selector in

test_index_should_show_warning_when_no_workflow_is_defined is too specific
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you.

Files

more_generic_test.diff 711 Bytes 2020-01-30 Vincent Robert
